# ClientNetworkUDPSocketHandler Class Reference

*** Communication with servers (we are client) ***/ More...

Inheritance diagram for ClientNetworkUDPSocketHandler:

## Protected Member Functions
| DECLARE_UDP_RECEIVE_COMMAND (PACKET_UDP_SERVER_RESPONSE)
| DECLARE_UDP_RECEIVE_COMMAND (PACKET_UDP_MASTER_RESPONSE_LIST)
| DECLARE_UDP_RECEIVE_COMMAND (PACKET_UDP_SERVER_NEWGRFS)
virtual void | HandleIncomingNetworkGameInfoGRFConfig (GRFConfig *config)
| Function that is called for every GRFConfig that is read when receiving a NetworkGameInfo.

## Detailed Description

*** Communication with servers (we are client) ***/

Definition at line 219 of file network_udp.cpp.

## Member Function Documentation

void ClientNetworkUDPSocketHandler::HandleIncomingNetworkGameInfoGRFConfig | ( | GRFConfig * | config | ) | `[protected, virtual]`

Function that is called for every GRFConfig that is read when receiving a NetworkGameInfo.

Only grfid and md5sum are set, the rest is zero. This function must set all appropriate fields. This GRF is later appended to the grfconfig list of the NetworkGameInfo.

Parameters:

  | config | the GRF to handle

Reimplemented from NetworkUDPSocketHandler.

Definition at line 363 of file network_udp.cpp.

References GRFConfig::filename, FindUnknownGRFName(), GRFConfig::flags, GCF_COPY, GCS_NOT_FOUND, GRFIdentifier::grfid, GRFConfig::info, GRFIdentifier::md5sum, GRFConfig::name, SetBit(), and GRFConfig::status.

The documentation for this class was generated from the following file:

- src/network/network_udp.cpp